* {
  font-family: "opensans";
}

@font-face {
  font-family: "Bodoni Italic";
  font-style: normal;
  font-weight: 400;
  src: local("Bodoni Moda"), url("../fonts/Bodoni_Moda/BodoniModa-Italic-VariableFont_opsz\,wght.ttf"), format("truetype");
}

@font-face {
  font-family: "Bodoni Moda";
  font-style: normal;
  font-weight: 400;
  src: local("Bodoni Moda"), url("../fonts/Bodoni_Moda/BodoniModa-VariableFont_opsz\,wght.ttf"), format("truetype");
}

html,
body {
  height: 100%;
  width: 100%;
  margin: 0;
  overflow: hidden;
  padding: 0;
}

body {
  background-image: url("../images/backgroundDay.jpg");
  background-size: cover;
  overflow: hidden;
}

#foreground {
  position: relative;
  background-image: url("../images/empty.jpg");
  background-repeat: no-repeat;
  background-size: 110vw 129vh;

  width: 94vw;
  height: 90vh;
  margin: 50px 50px 50px 50px;

  box-shadow: 5px 5px 10px 2px rgba(0, 0, 0, .8);

  overflow: hidden;
  display: flex;
  flex-direction: column;
}

#foregroundImage {
  position: absolute;
  z-index: 0;
  top: 0;
  left: 0;
  background-image: url("../images/foregroundDay.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  width: 102%;
  height: 102%;
  overflow: hidden;
}

main {
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0;
  display: flex;
}

@media only screen and (orientation: portrait) {
  #foreground {
    width: 96%;
    height: 98%;
    margin: 2%;
  }

  #foregroundImage {
    background-image: url("../images/fgDayPortrait.jpg");
    background-position: center;
  }
}

@media only screen and (max-height: 700px) {
  #foreground {
    width: 96%;
    height: 94%;
    margin: 2%;
  }

  #foregroundImage {
    background-image: url("../images/fgDayPortrait.jpg");
    background-position: center;
  }

  .dropDown:hover .dropMenu {
    display: none;
  }
}

.foregroundImageFadeout {
  animation-name: empty;
  animation-duration: 1s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  animation-timing-function: ease-in-out;
  justify-content: center;
}

.foregroundImageFadein {
  animation-name: full;
  animation-duration: 1s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  animation-timing-function: ease-in-out;
  justify-content: center;
}

header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

h1 {
  position: relative;
  z-index: 2;
  display: flex;
  margin: 10px 60px -40px 30px;
  padding-bottom: 0;
  padding-top: 0;
  box-sizing: content-box;
  height: 140px;
  color: black;
  text-align: left;
  font-family: 'Bodoni Italic';
  font-size: 140px;
  font-weight: 900;
  user-select: none;
}

h1:hover {
  text-shadow: black 1px 0 5px;
}

.slider {
  position: relative;
  z-index: 2;
  height: 34px;
  margin-top: 40px;
  padding-top: 0;
  padding-left: 30px;
  overflow: hidden;
}

.sliders {
  margin: 3px 0 2px 0;
  padding: 0;
  font-size: 25px;
  font-family: "Bodoni Moda";
  height: 30px;
}

.text1 {
  animation: slide 8s linear infinite;
  margin-block-start: 0;
  margin-block-end: 0;
}

p {
  font-size: 16px;
}

#navigation {
  position: relative;
  margin-right: 10px;
  display: flex;
}

.navButton {
  background-color: transparent;
  outline: none;
  border: none;

  padding: 10px 5px 10px 5px;

  font-family: "Bodoni Moda";
  font-style: normal;
  font-size: 35px;
}

.navButton:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: rgba(50, 50, 50, 0.08);
}

.dropDown {
  position: relative;
  display: inline-block;
}

.dropDown:hover .dropMenu {
  display: block;
}

.dropMenu {
  display: none;
  position: absolute;
  background-color: rgba(50, 50, 50, 0.08);
  box-shadow: 5px 5px 10px 2px rgba(0, 0, 0, .4);
}

.dropSelection {
  display: block;

  text-decoration: none;
  font-size: 30px;
  color: black;

  width: 135px;
}

.dropSelection:hover {
  background-color: rgba(50, 50, 50, 0.08);
}

#toggleButton {
  width: 60px;
  height: 60px;
  background-image: url("../images/night.png");
  background-size: 50%;
  background-repeat: no-repeat;
  background-position: center;
}

#toggleButton:hover {
  background-image: url("../images/nightHover.png");
  background-color: rgba(50, 50, 50, 0.08);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/**
entry page
**/
main.entry {
  flex-direction: column;
  justify-content: flex-end;
  align-content: flex-end;
  align-items: flex-end;
  overflow: hidden;
}

#entryContent {
  align-self: flex-end;
  width: 200px;
  margin: 0 2% 1% 0;
}

/**
end of entry page
**/

/**
project page
**/
main.projects {
  flex-direction: column;
  justify-content: flex-end;
  align-content: flex-end;
  align-items: flex-end;
}

.projects ul {
  align-self: flex-end;
  width: auto;
  margin: 0 15px 100px 0;
  list-style: none;
}

.projects li {
  margin: 10px;
}

.projects li>p {
  margin-top: 5px;
}

.projects li>a {
  text-decoration: none;
  font-family: "Bodoni Moda";
  font-style: normal;
  font-size: 25px;
  color: black;
}

.projects li:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: rgba(50, 50, 50, 0.08);
}

.projects .tag {
  font-size: 14px;
  text-decoration: underline;
  text-decoration-thickness: 2px;
}

.projects .python {
  text-decoration-color: #3572A5;
}

.projects .shell {
  text-decoration-color: #89E051;
}

.projects .java {
  text-decoration-color: #B07219;
}

.projects .html {
  text-decoration-color: #E34C26;
}

.projects .css {
  text-decoration-color: #563D7C;
}

.projects .javascript {
  text-decoration-color: #F1E05A;
}

.projects .sql {
  text-decoration-color: #ff0000;
}

.projects .php {
  text-decoration-color: #4F5D95;
}

@media only screen and (max-height: 700px) {
  .projects li>a {
    font-size: 20px;
  }

  .projects li>p {
    margin-top: 0;
  }

  .projects .tag {
    font-size: 10px;
  }
}

/**
project page end
**/

/**
about page
**/
main.about {
  display: flex;
  justify-content: center;
  overflow: hidden;
}

.about #aboutContent {
  justify-content: center;
  text-align: left;
  width: 50%;
  max-height: 95%;
  overflow-y: scroll;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.about #aboutContent p {
  font-size: 20px;
}

.about #aboutContent::-webkit-scrollbar {
  width: 0;
  background: transparent;
}

.about h3 {
  font-family: "Bodoni Moda";
  font-size: 42px;
}

/**
end of about page
**/

/**
contact page
**/
main.contact {
  flex-direction: column;
  justify-content: center;
  align-content: center;
  align-items: center;
  overflow: hidden;
}

.contact #contactContent {
  align-self: center;
  display: flex;
  float: left;
  margin-bottom: 370px;
}

.contact div.contacts {
  background-size: 40px 40px;
  background-repeat: no-repeat;
  height: 45px;
  text-align: right;
  margin-left: 15px;
}

.contact div.contacts:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  background-color: rgba(50, 50, 50, 0.08);
}

.contact div.contacts>a {
  font-family: "Bodoni Moda";
  font-style: normal;
  font-size: 40px;
  text-decoration: none;
  color: black;
}

.contact #github {
  background-image: url("../images/git.png");
  width: 178px;
}

.contact #linkedin {
  background-image: url("../images/linkedin.png");
  width: 208px;
}

.contact #mail {
  background-image: url("../images/mail.png");
  width: 124px;
}

.contact #resume {
  background-image: url("../images/resume.png");
  width: 188px;
}

/**
end of contact page
**/

/** Animations section**/
.fadeout {
  animation-name: fadeout;
  animation-duration: 0.75s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.fadein {
  animation-name: fadein;
  animation-duration: 0.75s;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

@keyframes fadeout {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    visibility: hidden;
  }
}

@keyframes fadein {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes empty {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@keyframes full {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@keyframes slide {
  0% {
    margin-top: -130px;
  }

  12% {
    margin-top: -130px;
  }

  25% {
    margin-top: -96px;
  }

  37% {
    margin-top: -96px;
  }

  50% {
    margin-top: -64px;
  }

  62% {
    margin-top: -64px;
  }

  75% {
    margin-top: -32px;
  }

  87% {
    margin-top: -32px;
  }

  100% {
    margin-top: 2px;
  }
}

/** Animations section end**/
